﻿@model Xtoman.Domain.WebServices.Blockchain.BlockcypherAddress

@section Head{
    <link href="~/Content/css/Pages/Explorer/Custom.css?v=2" rel="stylesheet" />
    <style>
        .txn-input, .txn-output {
            border: 1px solid #ddd;
            padding: 20px 30px;
            margin-bottom: 10px;
            position: relative;
            background: #fff;
            border-radius: 40px;
        }

        .truncate {
            min-width: 5em;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }
    </style>
}

<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <b>آدرس:</b>
                <h2 class="card-title">
                    @Model.Address
                </h2>
                <div class="table-responsive">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <td><b>کل دریافت شده</b> <br /> @(Model.TotalReceived.ToDecimal() / 100000000m) بیت کوین</td>
                                <td><b>کل ارسال شده</b> <br /> @(Model.TotalSent.ToDecimal() / 100000000m) بیت کوین</td>
                                <td><b>موجودی فعلی</b> <br /> @(Model.FinalBalance.ToDecimal() / 100000000m) بیت کوین</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        @if (Model.NTx > 0 && Model.Txs != null && Model.Txs.Any())
        {
            <div>
                کل تراکنش ها: @Model.Txs.Count
            </div>
            foreach (var tx in Model.Txs)
            {
                <div class="card card-body">
                    <div>
                        <span>
                            <span class="@(tx.Confirmations >= 6 ? "text-success" : tx.Confirmations == 0 ? "text-danger" : "text-warning")">
                                <i class="fa @(tx.Confirmations >= 6 ? "fa-lock" : "fa-unlock")"></i>
                                <span id="num-confs">@tx.Confirmations</span>/6
                            </span>
                        </span>
                    </div>
                    <h4 class="text-center truncate">
                        <i class="fa fa-exchange"></i>
                        <a href="@Url.Action("Tx", new { id = tx.Hash })">
                            @tx.Hash
                        </a>
                    </h4>
                    <div class="row">
                        <div class="col-md-5">
                            <h4 class="text-center">@tx.Inputs.Count ورودی استفاده شده</h4>
                            @for (int i = 0; i < tx.Inputs.Count; i++)
                            {
                                var inputItem = tx.Inputs[i];
                                <div class="txn-input truncate" id="spentby-@inputItem.PrevHash-@inputItem.OutputIndex">
                                    <strong>
                                        @(inputItem.OutputValue.Value.ToDecimal() / 100000000m) بیت کوین
                                    </strong>
                                    از آدرس<br />
                                    <i class="fa fa-qrcode"></i>
                                    <a href="@Url.Action("Address", new { id = inputItem.Addresses.First() })">@inputItem.Addresses.First()</a>
                                    (<a href="@Url.Action("Tx", new { id = inputItem.PrevHash })/#output-index-@inputItem.OutputIndex">خروجی از</a>)
                                </div>
                            }
                        </div>
                        <div class="col-md-2">
                            <div class="txn-arrow"></div>
                        </div>
                        <div class="col-md-5">
                            <h4 class="text-center">@tx.Outputs.Count خروجی ایجاد شده</h4>
                            @for (int i = 0; i < tx.Outputs.Count; i++)
                            {
                                var outputItem = tx.Outputs[i];
                                <div class="txn-output truncate" id="output-index-@i">
                                    <strong>
                                        @(outputItem.Value.ToDecimal() / 100000000m) بیت کوین
                                    </strong>
                                    به آدرس<br />
                                    <i class="fa fa-qrcode"></i>
                                    <a href="@Url.Action("Address", new { id = outputItem.Addresses.First() })">@outputItem.Addresses.First()</a>
                                    <span class="truncate">
                                        @(outputItem.SpentBy.HasValue() ? "(خرج شده)" : "(خرج نشده)")
                                    </span>
                                </div>
                            }
                        </div>
                    </div>
                </div>
            }
        }
        @if (Model.HasMore.HasValue && Model.HasMore.Value)
        {
            <a href="#" class="btn btn-block btn-primary btn-lg" onclick="LoadMore()">
                تراکنش های دیگر
            </a>
        }
    </div>
</div>